Package org.springframework.security.acls.domain

# Class AccessControlEntryImpl

java.lang.Object
org.springframework.security.acls.domain.AccessControlEntryImpl

All Implemented Interfaces:
  `Serializable`, `AccessControlEntry`, `AuditableAccessControlEntry`

public class AccessControlEntryImpl extends Object implements AccessControlEntry, AuditableAccessControlEntry
An immutable default implementation of `AccessControlEntry`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessControlEntryImpl(Serializable id, Acl acl, Sid sid, Permission permission, boolean granting, boolean auditSuccess, boolean auditFailure)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object arg0)`
`Acl`
`getAcl()`
`Serializable`
`getId()`
Obtains an identifier that represents this ACE.
`Permission`
`getPermission()`
`Sid`
`getSid()`
`int`
`hashCode()`
`boolean`
`isAuditFailure()`
`boolean`
`isAuditSuccess()`
`boolean`
`isGranting()`
Indicates the permission is being granted to the relevant Sid.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessControlEntryImpl

public AccessControlEntryImpl(Serializable id, Acl acl, Sid sid, Permission permission, boolean granting, boolean auditSuccess, boolean auditFailure)

## Method Details

### equals

public boolean equals(Object arg0)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getAcl

public Acl getAcl()

Specified by:
  `getAcl` in interface `AccessControlEntry`

### getId

public Serializable getId()
Description copied from interface: `AccessControlEntry`
Obtains an identifier that represents this ACE.

Specified by:
  `getId` in interface `AccessControlEntry`
Returns:
  the identifier, or `null` if unsaved

### getPermission

public Permission getPermission()

Specified by:
  `getPermission` in interface `AccessControlEntry`

### getSid

public Sid getSid()

Specified by:
  `getSid` in interface `AccessControlEntry`

### isAuditFailure

public boolean isAuditFailure()

Specified by:
  `isAuditFailure` in interface `AuditableAccessControlEntry`

### isAuditSuccess

public boolean isAuditSuccess()

Specified by:
  `isAuditSuccess` in interface `AuditableAccessControlEntry`

### isGranting

public boolean isGranting()
Description copied from interface: `AccessControlEntry`
Indicates the permission is being granted to the relevant Sid. If false, indicates the permission is being revoked/blocked.

Specified by:
  `isGranting` in interface `AccessControlEntry`
Returns:
  true if being granted, false otherwise

### toString

public String toString()

Overrides:
  `toString` in class `Object`